datablock TSShapeConstructor(mBetaDts)
{
	baseShape = "./beta.dts";
	sequence0 = "./beta_root.dsq root";
	sequence1 = "./beta_run.dsq run";
	sequence2 = "./beta_run.dsq walk";
	sequence3 = "./beta_back.dsq back";
	sequence4 = "./beta_side.dsq side";
	sequence5 = "./beta_crouch.dsq crouch";
	sequence6 = "./beta_crouchRun.dsq crouchRun";
	sequence7 = "./beta_crouchBack.dsq crouchBack";
	sequence8 = "./beta_crouchSide.dsq crouchSide";
	sequence9 = "./beta_look.dsq look";
	sequence10 = "./beta_headSide.dsq headside";
	sequence11 = "./beta_headup.dsq headUp";
	sequence12 = "./beta_standjump.dsq jump";
	sequence13 = "./beta_standjump.dsq standjump";
	sequence14 = "./beta_fall.dsq fall";
	sequence15 = "./beta_root.dsq land";
	sequence16 = "./beta_armAttack.dsq armAttack";
	sequence17 = "./beta_armReadyLeft.dsq armReadyLeft";
	sequence18 = "./beta_armReadyRight.dsq armReadyRight";
	sequence19 = "./beta_armReadyBoth.dsq armReadyBoth";
	sequence20 = "./beta_spearReady.dsq spearready";
	sequence21 = "./beta_spearThrow.dsq spearThrow";
	sequence22 = "./beta_talk.dsq talk";
	sequence23 = "./beta_death1.dsq death1";
	sequence24 = "./beta_shiftUp.dsq shiftUp";
	sequence25 = "./beta_shiftDown.dsq shiftDown";
	sequence26 = "./beta_shiftAway.dsq shiftAway";
	sequence27 = "./beta_shiftTo.dsq shiftTo";
	sequence28 = "./beta_shiftLeft.dsq shiftLeft";
	sequence29 = "./beta_shiftRight.dsq shiftRight";
	sequence30 = "./beta_rotCW.dsq rotCW";
	sequence31 = "./beta_rotCCW.dsq rotCCW";
	sequence32 = "./beta_undo.dsq undo";
	sequence33 = "./beta_plant.dsq plant";
	sequence34 = "./beta_sit.dsq sit";
	sequence35 = "./beta_wrench.dsq wrench";
	sequence36 = "./beta_activate.dsq activate";
	sequence37 = "./beta_activate2.dsq activate2";
	sequence38 = "./beta_leftrecoil.dsq leftrecoil";
};
datablock PlayerData(PlayerBetaArmor : PlayerStandardArmor)
{
	shapeFile = "./beta.dts";
	uiName = "Beta Player";
};
package Player_Beta
{
	function gameConnection::applyBodyParts(%client)
	{
		if(isObject(%client.player))
		{
			if(%client.player.getDatablock().getID() == PlayerBetaArmor.getID())
			{
				%client.player.hideNode("ALL");
				if(getWord($accentsAllowed[$hat[%client.hat]], %client.accent) !$= "" && getWord($accentsAllowed[$hat[%client.hat]], %client.accent) !$= "none")
					%client.player.unHideNode(getWord($accentsAllowed[$hat[%client.hat]], %client.accent));
				if($hat[%client.hat] !$= "none")
					%client.player.unHideNode($hat[%client.hat]);
				%client.player.unHideNode("headSkin");
				%client.player.unHideNode($chest[0]);
				if($pack[%client.pack] !$= "none")
					%client.player.unHideNode($pack[%client.pack]);
				%client.player.unHideNode($LArm[0]);
				%client.player.unHideNode($RArm[0]);
				%client.player.unHideNode($LHand[0]);
				%client.player.unHideNode($RHand[0]);
				%client.player.unHideNode($hip[0]);
				%client.player.unHideNode($LLeg[0]);
				%client.player.unHideNode($RLeg[0]);
				%client.player.setDecalName(%client.decalName);
				%client.player.setFaceName(%client.faceName);
				return;
			}
		}
		Parent::applyBodyParts(%client);
	}
	function gameConnection::applyBodyColors(%client)
	{
		if(isObject(%client.player))
		{
			if(%client.player.getDatablock().getID() == PlayerBetaArmor.getID())
			{
				if(getWord($accentsAllowed[$hat[%client.hat]], %client.accent) !$= "" && getWord($accentsAllowed[$hat[%client.hat]], %client.accent) !$= "none")
					%client.player.setNodeColor(getWord($accentsAllowed[$hat[%client.hat]], %client.accent), %client.accentColor);
				if($hat[%client.hat] !$= "none")
					%client.player.setNodeColor($hat[%client.hat], %client.hatColor);
				%client.player.setNodeColor("headSkin", %client.headcolor);
				%client.player.setNodeColor($chest[0], %client.chestColor);
				if($pack[%client.pack] !$= "none")
					%client.player.setNodeColor($pack[%client.pack], %client.packColor);
				%client.player.setNodeColor($LArm[0], %client.larmColor);
				%client.player.setNodeColor($RArm[0], %client.rarmColor);
				%client.player.setNodeColor($LHand[0], %client.lhandColor);
				%client.player.setNodeColor($RHand[0], %client.rhandColor);
				%client.player.setNodeColor($hip[0], %client.hipColor);
				%client.player.setNodeColor($LLeg[0], %client.llegColor);
				%client.player.setNodeColor($RLeg[0], %client.rlegColor);
				return;
			}
		}
		Parent::applyBodyColors(%client);
	}
};
activatePackage(Player_Beta);